Subject: Re: 1.3.10-1: Cannot create filenames starting with a period in XP
From: "Joe Drago" <[email-masked]>
To: [email-masked]
Date: Tue, 9 Apr 2002 15:20:48 -0700
Newsgroups: gmane.os.cygwin

I think I figured out the problem... it was a directory permissions issue.
Although I have not fixed it, it is a Windows problem, not a Cygwin problem.
Thanks for the replies.

The folder I am trying to write into, I accidentally set the NTFS
permissions to an unknown user with a Cygwin script I didn't pay much
attention to. In doing so, I lost the ability to write to the folder with my
very own account. No biggie, I logged in as the Administrator and am
currently fixing it!

Joe Drago

"Joe Drago" <[email-masked]> wrote in message
news:[email-masked]...
> I have set up a Cygwin install on a Windows 2000 Workstation machine, and
> got bash and sshd to run perfectly. I can create all regular files,
> including important ones like ".bashrc" in my HOME folder. Following the
> same set up, I attempted to set up the same deal on a Windows XP Pro
> machine, and although everything -else- works, creating a filename in with
a
> period (such as .bashrc) is nearly impossible.
>
> So far, the only way I have found to circumvent it is that "mv" will allow
> me to rename a file and add a period to the front, but this is not good
> enough, as vim complains about the swap/recovery file every time I edit
one
> of these files.
>
> Is there a setting in Windows XP that I am not aware of, or is this a
> limitation with NTFS? My W2K machine runs W2K's FAT32, and
> my XP Pro machine runs XP's NTFS (no encryption).
>
> I "STFW" all day, and R'd all of TFMs that I know of, and am at a loss.
> Help?
>
> Thank you for reading this, and thanks in advance for any replies,
>
> Joe Drago
>
>
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/